import 'dart:async';
import 'dart:convert';
import 'package:connectivity_plus/connectivity_plus.dart';
import 'package:practica1_flutter/src/http_api/category_api.dart';
import 'package:practica1_flutter/src/models/category_model.dart';


//en este manejaremos la información que vamos a presentar visualmente al usuario.
class CategoryController {
  final Connectivity _connectivity = Connectivity();

  Future<Map<String, dynamic>> getCategories() async {
    Map<String, dynamic> mapResp = {
      'ok': false,
      'message': 'No hay categorías',
      'data': null
    };
    ConnectivityResult connectivityResult = await _connectivity.checkConnectivity();
    if (connectivityResult != ConnectivityResult.none) {
      if (connectivityResult == ConnectivityResult.wifi || connectivityResult == ConnectivityResult.mobile) {
        CategoryService categoryApi  = CategoryService();
        Map<String, dynamic> respGet = await categoryApi.getCategories();
        if (respGet['statusCode'] == 200) {
          try {
            var decodeResp = json.decode(respGet['body']);
            List<CategoryModel> listCategories = CategoryModel.fromJsonArray(decodeResp['data']);
            mapResp['ok'] = true;
            mapResp['message'] = "${listCategories.length} categorías encontradas";
            mapResp['data'] = listCategories;
          } catch (e) {
            mapResp['message'] = "Error en operador $e";
            return mapResp;
          }
        } else {
          mapResp['message'] = "${respGet['body']}";
        }
      }
    }

    return mapResp;
  }
}
